# TimeBaseC.cpp File Reference

`#include "TimeBaseC.h"`
`#include "tao/CDR.h"`

Include dependency graph for TimeBaseC.cpp:

## Namespaces

namespace | TAO

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TimeBase::UtcT &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TimeBase::UtcT &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TimeBase::IntervalT &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TimeBase::IntervalT &_tao_aggregate)

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TimeBase::IntervalT & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TimeBase::UtcT & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TimeBase::IntervalT & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TimeBase::UtcT & | _tao_aggregate
| ) |